#eureka client配置
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.9.18:8761/eureka/
  instance:
    ipAddress: 192.168.9.18
    leaseRenewalIntervalInSeconds: 30 #租期更新时间间隔（默认30秒） 客户端发送心跳检测时间间隔
    leaseExpirationDurationInSeconds: 90 #租期到期时间（默认90秒）

spring:
  application:
    name: upcloud-base-gsp
  #redis配置
  redis:
    host: 192.168.9.18
    port: 6379
    password: prolog0212
    database: 0
  #链路跟踪  
  zipkin: 
    enabled: true #默认为true
    sender.type: rabbit
    rabbitmq.queue: trace
    tags:
      head: true
      params: true
      result: true
  sleuth: 
    enable: true
    sampler: 
      probability: 1.0
  rabbitmq:
    host: 192.168.9.18
    port: 5672
    username: admin
    password: prolog0212
    virtual-host: /upcloud
  datasource:
    driverClassName: com.mysql.jdbc.Driver
    url: jdbc:mysql://192.168.9.18:3306/cube_base_gsp?useSSL=false&serverTimezone=CTT&useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
    username: root
    password: prolog0212
    #使用druid数据源
    initialSize: 1 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 10 #最大連接數
    maxWait: 60000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000 #最小生存時間
    removeAbandonedTimeoutMillis: 6000000
prolog:
  dao:
    dialect: mysql
    mybatis:
      mapperLocations: classpath:mappers/mysql/*.xml
    performance:
      enable: true
      showSql: true
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000

logging:
  config: classpath:log4j2-cube.xml
  level:
    com.netflix.discovery.shared.resolver.aws.ConfigClusterResolver: WARN

    
management:
  endpoints: 
    web: 
      exposure: 
        include: "*"
        exclude: "shutdown"
  endpoint:
    logfile.external-file: /usr/local/logs/upcloud-base-gsp/192.168.9.18.9822/info.log  #info日志文件路径 等效logging.file或者logging.path
    health.show-details: always #开启多个健康指标

# 超时配置
ribbon:
  ReadTimeout: 120000
  ConnectTimeout: 10000
  MaxAutoRetries: 1
  MaxAutoRetriesNextServer: 1
  
feign.hystrix.enabled: true #启用熔断
hystrix:
  threadpool:
   default:
      coreSize: 20 #线程隔离，默认线程池大小为10
      maxQueueSize: 500
      queueSizeRejectionThreshold: 400
  command:
    default: #默认全局配置
      execution:
        timeout:
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 525000